"use strict";
exports.__esModule = true;
/*
  This program and the accompanying materials are
  made available under the terms of the Eclipse Public License v2.0 which accompanies
  this distribution, and is available at https://www.eclipse.org/legal/epl-v20.html
  
  SPDX-License-Identifier: EPL-2.0
  
  Copyright Contributors to the Zowe Project.
*/
var express = require('express');
var Promise = require('bluebird');
var CallService = /** @class */ (function () {
    function CallService(context) {
        this.context = context;
        var router = express.Router();
        router.use(function noteRequest(req, res, next) {
            context.logger.info('Saw request, method=' + req.method);
            next();
        });
        context.addBodyParseMiddleware(router);
        router.post('/', function (req, res) {
            req.zluxData.plugin.callService('hello', '', { method: 'POST', body: req.body, contentType: req.get('content-type') }).then(function (callRes) {
                context.logger.info('callService Returned: statusCode=%s, statusMessage=%s, body length=%s', callRes.statusCode, callRes.statusMessage, callRes.body.length);
                res.status(200).json({ 'callService Returned': callRes.body });
            });
        });
        this.router = router;
    }
    CallService.prototype.getRouter = function () {
        return this.router;
    };
    return CallService;
}());
exports.callServiceRouter = function (context) {
    return new Promise(function (resolve, reject) {
        var dataservice = new CallService(context);
        resolve(dataservice.getRouter());
    });
};
/*
  This program and the accompanying materials are
  made available under the terms of the Eclipse Public License v2.0 which accompanies
  this distribution, and is available at https://www.eclipse.org/legal/epl-v20.html
  
  SPDX-License-Identifier: EPL-2.0
  
  Copyright Contributors to the Zowe Project.
*/
//# sourceMappingURL=callService.js.map